Name: emerald
Version: 0.2.1
Release: alt1

Group: Graphical desktop/Other
Summary: Themeable window decorator and compositing manager for Beryl
Url: http://www.beryl-project.org/
License: GPL

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.bz2

Requires: beryl-core

BuildPreReq: beryl-core-devel >= %version

# Automatically added by buildreq on Thu Dec 28 2006
BuildRequires: gcc-c++ intltool libstartup-notification libwnck-devel

%description
Emerald is themeable window decorator and compositing manager for Beryl.
Launch Theme Manager from beryl-manager to change themes.

%package devel
Summary: Development files for emerald
Group: Development/C
Requires: %name = %version-%release

%description devel
The emerald-devel package provides development files for emerald,
the themeable window decorator for beryl.

%prep
%setup -q

%__subst 's,_.*,,' po/LINGUAS
pushd po
	for f in *_*.po; do
		[ -f ${f/_*/}.po ] || mv $f ${f/_*/}.po
	done
popd

%build
intltoolize --force
%__autoreconf
%configure \
	--disable-static \
	--enable-librsvg \
	--disable-mime-update
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name

%post
%post_ldconfig

%postun
%post_ldconfig

%files -f %name.lang
%_bindir/*
%_libdir/emerald
%_libdir/*.so.*
%_datadir/applications/*
%_datadir/pixmaps/*
%_datadir/emerald
%_datadir/mime-info/*
%_datadir/mime/packages/*
%_iconsdir/hicolor/48x48/mimetypes/*
%_man1dir/emerald*

%files devel
%_includedir/*
%_libdir/pkgconfig/*.pc
%_libdir/*.so

%changelog
* Mon Mar 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Thu Mar 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt1
- 0.2.0 release

* Sun Feb 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt0.0rc1
- 0.2.0-RC1

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.0-alt0.0pre1
- 0.2.0pre1

* Thu Dec 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Mon Dec 11 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.3-alt1
- new version

* Tue Nov 14 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.2-alt2
- fix build requires

* Thu Nov 09 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.2-alt1
- new version

* Tue Nov 07 2006 Sergey V Turchin <zerg at altlinux dot org> 0.1.1-alt1
- intial specfile
